Package org.springframework.web.server

# Class MissingRequestValueException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.web.ErrorResponseException
org.springframework.web.server.ResponseStatusException
org.springframework.web.server.ServerWebInputException
org.springframework.web.server.MissingRequestValueException

All Implemented Interfaces:
  `Serializable`, `ErrorResponse`

public class MissingRequestValueException extends ServerWebInputException
`ServerWebInputException` subclass that indicates a missing request value such as a request header, cookie value, query parameter, etc.

Since:
  6.0
Author:
  Rossen Stoyanchev
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.web.ErrorResponse

`ErrorResponse.Builder, ErrorResponse.Interceptor`

## Constructor Summary

Constructors
Constructor
Description
`MissingRequestValueException(String name, Class<?> type, String label, org.springframework.core.MethodParameter parameter)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLabel()`
Return a label that describes the request value, for example, "request header", "cookie value", etc.
`String`
`getName()`
Return the name of the missing value, for example, the name of the missing request header, or cookie, etc.
`Class<?>`
`getType()`
Return the target type the value is converted when present.

### Methods inherited from class org.springframework.web.server.ServerWebInputException

`getMethodParameter`

### Methods inherited from class org.springframework.web.server.ResponseStatusException

`getHeaders, getMessage, getReason, getResponseHeaders, updateAndGetBody`

### Methods inherited from class org.springframework.web.ErrorResponseException

`getBody, getDetailMessageArguments, getDetailMessageCode, getStatusCode, setDetail, setInstance, setTitle, setType`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.web.ErrorResponse

`getDetailMessageArguments, getTitleMessageCode, getTypeMessageCode`

## Constructor Details

### MissingRequestValueException

public MissingRequestValueException(String name, Class<?> type, String label, org.springframework.core.MethodParameter parameter)

## Method Details

### getName

public String getName()
Return the name of the missing value, for example, the name of the missing request header, or cookie, etc.

### getType

public Class<?> getType()
Return the target type the value is converted when present.

### getLabel

public String getLabel()
Return a label that describes the request value, for example, "request header", "cookie value", etc. Use this to create a custom message.